Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 870202 - Review Request: aqualung - Advanced music player
Summary: Review Request: aqualung - Advanced music player
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 430366
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2012-10-25 19:28 UTC by Antonio Trande
Modified: 2014-03-09 23:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-10-26 17:56:45 UTC


Attachments (Terms of Use)

Description Antonio Trande 2012-10-25 19:28:13 UTC
Spec URL: http://sagitter.fedorapeople.org/aqualung.spec
SRPM URL: http://sagitter.fedorapeople.org/aqualung-0.9-0.1.beta11.fc17.src.rpm

Description: Aqualung is an advanced music player primarily targeted at the
GNU/Linux operating system, but also usable on FreeBSD, OpenBSD,
Cygwin and also runs on Microsoft Windows.

Fedora Account System Username: sagitter

Comment 1 Mohamed El Morabity 2012-10-25 20:02:09 UTC
This package requires lame, which is not in official Fedora repositories for legal reasons:
   https://fedoraproject.org/wiki/Multimedia/MP3
As a result, your package is not eligible for Fedora.
Maybe your package should take place in some third-party repository:
   https://fedoraproject.org/wiki/Third_party_repositories

Comment 2 Antonio Trande 2012-10-25 20:07:59 UTC
(In reply to comment #1)
> This package requires lame, which is not in official Fedora repositories for
> legal reasons:
>    https://fedoraproject.org/wiki/Multimedia/MP3
> As a result, your package is not eligible for Fedora.
> Maybe your package should take place in some third-party repository:
>    https://fedoraproject.org/wiki/Third_party_repositories

Hi Mohamed

Really I don't ever use mp3 file. So I can disable lame support.

Comment 3 Antonio Trande 2012-10-25 20:20:19 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > This package requires lame, which is not in official Fedora repositories for
> > legal reasons:
> >    https://fedoraproject.org/wiki/Multimedia/MP3
> > As a result, your package is not eligible for Fedora.
> > Maybe your package should take place in some third-party repository:
> >    https://fedoraproject.org/wiki/Third_party_repositories
> 
> Hi Mohamed
> Really I don't ever use mp3 file. So I can disable lame support.

Spec URL: http://sagitter.fedorapeople.org/aqualung.spec
SRPM URL: http://sagitter.fedorapeople.org/aqualung-0.9-0.1.beta11.fc17.src.rpm

Comment 4 Mohamed El Morabity 2012-10-25 20:22:47 UTC
(In reply to comment #2)
> Really I don't ever use mp3 file. So I can disable lame support.
Since aqualung is a monolithic application (there's no modules or such for media support), it maybe very very difficult for third-party repositories to provide the missing bits to extend Aqualung support to nonfree formats.
I *strongly* advice you to submit aqualung to some third-party repository. Users will thank you :).

Comment 5 Mohamed El Morabity 2012-10-25 20:25:56 UTC
(In reply to comment #4)
> (In reply to comment #2)
> > Really I don't ever use mp3 file. So I can disable lame support.
> Since aqualung is a monolithic application (there's no modules or such for
> media support), it maybe very very difficult for third-party repositories to
> provide the missing bits to extend Aqualung support to nonfree formats.
> I *strongly* advice you to submit aqualung to some third-party repository.
> Users will thank you :).
You can have a look at this review for VLC, given up for similar reasons:
https://bugzilla.redhat.com/show_bug.cgi?id=583236

Comment 6 Antonio Trande 2012-10-25 20:37:01 UTC
(In reply to comment #4)
> (In reply to comment #2)
> > Really I don't ever use mp3 file. So I can disable lame support.
> Since aqualung is a monolithic application (there's no modules or such for
> media support), it maybe very very difficult for third-party repositories to
> provide the missing bits to extend Aqualung support to nonfree formats.
> I *strongly* advice you to submit aqualung to some third-party repository.
> Users will thank you :).

Thank you for your explanation.
Are you saying me that aqualung without non-free codecs support could be useless ? 
:)
I wish create a rpm with a software free of nonfree-codecs and of everything else I'm not interested ... :)

Comment 7 Antonio Trande 2012-10-26 17:56:45 UTC
> I *strongly* advice you to submit aqualung to some third-party repository.
> Users will thank you :).

I think of suggest aqualung in RPMFusion. 
See you next time (or next package review). :)

Regards.


Note You need to log in before you can comment on or make changes to this bug.